#!/bin/bash

#
# Set cert-manager installation namespace in K8s
#
CERT_MANAGER_NAMESPACE="cert-manager"

#
# Set cert-manager Heml chart to install
#
CERT_MANAGER_CHART="jetstack/cert-manager"

#
# Set cert-manager Heml name to install
#
CERT_MANAGER_NAME="cert-manager"

#
# Set cert-manager version to install
#
CERT_MANAGER_VERSION="v1.7.1"

#
# Create namespace for cert-manager in K8s
#
echo ""
echo "kubectl create namespace ${CERT_MANAGER_NAMESPACE}"
kubectl create namespace ${CERT_MANAGER_NAMESPACE}

#
# Install the cert-manager Helm chart
#
echo ""
echo "helm install ${CERT_MANAGER_NAME} ${CERT_MANAGER_CHART} \\"
echo "	--namespace ${CERT_MANAGER_NAMESPACE} \\"
echo "	--create-namespace \\"
echo "	--version ${CERT_MANAGER_VERSION}"
helm install ${CERT_MANAGER_NAME} ${CERT_MANAGER_CHART} \
	--namespace ${CERT_MANAGER_NAMESPACE} \
	--create-namespace \
	--version ${CERT_MANAGER_VERSION}

echo ""

