#!/bin/bash

#
# Set CSI NFS driver installation namespace in K8s
#
CSI_DRIVER_NFS_NAMESPACE="kube-system"

#
# Set CSI NFS driver Helm chart to install
#
CSI_DRIVER_NFS_CHART="csi-driver-nfs/csi-driver-nfs"

#
# Set CSI NFS driver Helm name to install
#
CSI_DRIVER_NFS_NAME="csi-driver-nfs"

#
# Set CSI NFS driver version to install
#
CSI_DRIVER_NFS_VERSION="v3.2.0"

#
# Set CSI NFS driver number of replicas
#
CSI_DRIVER_NFS_REPLICAS="1"

#
# Create namespace for CSI NFS driver in K8s
#
echo ""
echo "kubectl create namespace ${CSI_DRIVER_NFS_NAMESPACE}"
kubectl create namespace ${CSI_DRIVER_NFS_NAMESPACE}

#
# Install CSI NFS driver
#
echo ""
echo "helm install ${CSI_DRIVER_NFS_NAME} ${CSI_DRIVER_NFS_CHART} \\"
echo "	--namespace ${CSI_DRIVER_NFS_NAMESPACE} \\"
echo "	--version ${CSI_DRIVER_NFS_VERSION} \\"
echo "	--set controller.runOnMaster=true \\"
echo "	--set controller.replicas=${CSI_DRIVER_NFS_REPLICAS}"
helm install ${CSI_DRIVER_NFS_NAME} ${CSI_DRIVER_NFS_CHART} \
	--namespace ${CSI_DRIVER_NFS_NAMESPACE} \
	--version ${CSI_DRIVER_NFS_VERSION} \
	--set controller.runOnMaster=true \
	--set controller.replicas=${CSI_DRIVER_NFS_REPLICAS}

echo ""

