#!/bin/bash

#
# Set Metrics Server installation namespace in K8s
#
METRICS_SERVER_NAMESPACE="kube-system"

#
# Set Metrics Server Helm chart to install
#
METRICS_SERVER_CHART="metrics-server/metrics-server"

#
# Set Metrics Server Helm name to install
#
METRICS_SERVER_NAME="metrics-server"

#
# Create namespace for Metrics Server in K8s
#
echo ""
echo "kubectl create namespace ${METRICS_SERVER_NAMESPACE}"
kubectl create namespace ${METRICS_SERVER_NAMESPACE}

#
# Install Metrics Server
#
echo ""
echo "helm upgrade --install ${METRICS_SERVER_NAME} ${METRICS_SERVER_CHART} \\"
echo "	--namespace ${METRICS_SERVER_NAMESPACE}"
helm upgrade --install ${METRICS_SERVER_NAME} ${METRICS_SERVER_CHART} \
	--namespace ${METRICS_SERVER_NAMESPACE}

echo ""

