#!/bin/bash

#
# Set MinIO Server installation namespace in K8s
#
MINIO_SERVER_NAMESPACE="minio"

#
# Set MinIO Server Helm chart to install
#
MINIO_SERVER_CHART="minio/minio"

#
# Set MinIO Server admin username
#
MINIO_SERVER_ADMIN_NAME="minio"

#
# Set MinIO Server admin password
#
MINIO_SERVER_ADMIN_PASSWORD="minio4rancher"

#
# Set MinIO Server API ports
#
MINIO_SERVER_API_PORT="9900"

#
# Set MinIO Server console ports
#
MINIO_SERVER_CONSOLE_PORT="9901"

#
# Set MinIO Server replicas
#
MINIO_SERVER_REPLICAS="2"

#
# Create namespace for MinIO Server in K8s
#
echo ""
echo "kubectl create namespace ${MINIO_SERVER_NAMESPACE}"
kubectl create namespace ${MINIO_SERVER_NAMESPACE}

#
# Install MinIO Server
#
echo ""
echo "helm install --generate-name ${MINIO_SERVER_CHART} \\"
echo "	--set rootUser=${MINIO_SERVER_ADMIN_NAME} \\"
echo "	--set rootPassword=${MINIO_SERVER_ADMIN_PASSWORD} \\"
echo "	--set minioAPIPort=${MINIO_SERVER_API_PORT} \\"
echo "	--set minioConsolePort=${MINIO_SERVER_CONSOLE_PORT} \\"
echo "	--set replicas=${MINIO_SERVER_REPLICAS} \\"
echo "	--namespace ${MINIO_SERVER_NAMESPACE}"
helm install --generate-name ${MINIO_SERVER_CHART} \
	--set rootUser=${MINIO_SERVER_ADMIN_NAME} \
	--set rootPassword=${MINIO_SERVER_ADMIN_PASSWORD} \
	--set minioAPIPort=${MINIO_SERVER_API_PORT} \
	--set minioConsolePort=${MINIO_SERVER_CONSOLE_PORT} \
	--set replicas=${MINIO_SERVER_REPLICAS} \
	--namespace ${MINIO_SERVER_NAMESPACE}


echo ""

