#!/bin/bash

#
# Set Rancher hostname
#
RANCHER_HOSTNAME="xaero.uher.info"

#
# Set Rancher bootstrap password
#
RANCHER_PASSWORD="admin"

#
# Set Rancher installation namespace in K8s
#
RANCHER_NAMESPACE="cattle-system"

#
# Set Rancher Heml chart to install
#
RANCHER_CHART="rancher-latest/rancher"

#
# Set Rancher Heml name to install
#
RANCHER_NAME="rancher"

#
# Set Rancher version to install
#
#RANCHER_VERSION="v2.6.3-patch1"

#
# Create namespace for Rancher in K8s
#
echo ""
echo "kubectl create namespace ${RANCHER_NAMESPACE}"
kubectl create namespace ${RANCHER_NAMESPACE}

#
# Install Rancher
#
echo ""
echo "helm install ${RANCHER_NAME} ${RANCHER_CHART} \\"
echo "	--namespace ${RANCHER_NAMESPACE} \\"
echo "	--set hostname=${RANCHER_HOSTNAME} \\"
echo "	--set bootstrapPassword=${RANCHER_PASSWORD}"
#echo "	--version ${RANCHER_VERSION}"
helm install ${RANCHER_NAME} ${RANCHER_CHART} \
	--namespace ${RANCHER_NAMESPACE} \
	--set hostname=${RANCHER_HOSTNAME} \
	--set bootstrapPassword=${RANCHER_PASSWORD}
#	--version ${RANCHER_VERSION}

echo ""

