#!/bin/bash

#
# Set Rancher namespace in K8s
#
RANCHER_NAMESPACE="cattle-system"

#
# Set Rancher Helm chart to uninstall
#
RANCHER_CHART="rancher-latest/rancher"

#
# Set Rancher Helm name to uninstall
#
RANCHER_NAME="rancher"

#
# Uninstall Rancher
#
echo ""
echo "helm uninstall ${RANCHER_NAME} ${RANCHER_CHART} \\"
echo "	--namespace ${RANCHER_NAMESPACE}"
helm uninstall ${RANCHER_NAME} ${RANCHER_CHART} \
	--namespace ${RANCHER_NAMESPACE}

#
# Delete namespace for Rancher in K8s
#
echo ""
echo "kubectl delete namespace ${RANCHER_NAMESPACE}"
kubectl delete namespace ${RANCHER_NAMESPACE}

echo ""
